/*--------------------------------------------------------------------------+
$Id: RaspberryMakefileGeneration.java 16640 2016-04-13 13:18:00Z zverlov $
|                                                                          |
| Copyright 2016 ForTISS GmbH                     |
|                                                                          |
| Licensed under the Apache License, Version 2.0 (the "License");          |
| you may not use this file except in compliance with the License.         |
| You may obtain a copy of the License at                                  |
|                                                                          |
|    http://www.apache.org/licenses/LICENSE-2.0                            |
|                                                                          |
| Unless required by applicable law or agreed to in writing, software      |
| distributed under the License is distributed on an "AS IS" BASIS,        |
| WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. |
| See the License for the specific language governing permissions and      |
| limitations under the License.                                           |
+--------------------------------------------------------------------------*/
package org.fortiss.af3.platform.raspberry.generated.files;

/**
 * 
 * @author zverlov
 * @author $Author: zverlov $
 * @version $Rev: 16640 $
 * @ConQAT.Rating RED Hash:
 */
public class RaspberryPortTypeGeneration {

	/** Information relevant to the ports. */
	private String portInfo;

	/** Contents of the PortsInfo. */
	private String content;

	/** Constructor. */
	public RaspberryPortTypeGeneration(String portSpecs) {
		this.portInfo = portSpecs;
		this.content = "";
	}

	/** Calls the methods that create the portSpecs. */

	public void createInfofile() {
		content += portInfo;
	}

	/** Return the current content of the portSpecs. */
	public String getContent() {
		return this.content;
	}
}
